Bug 209259 - Review Request: beryl-core - Beryl OpenGL window and compositing manager
Review Request: beryl-core - Beryl OpenGL window and compositing manager
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michał Bentkowski
Fedora Package Reviews List
:
: 192434 (view as bug list)
Depends On:
Blocks: FE-ACCEPT 209260 209261 209262 209263 209264 215563 215564 215568 215569 215571
  Show dependency treegraph
 
Reported: 2006-10-04 02:11 EDT by Jarod Wilson
Modified: 2007-11-30 17:11 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-15 16:20:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Here's what I needed to change to build beryl-core on FC5. (1.18 KB, patch)
2006-10-08 20:07 EDT, Aurelien Bompard
no flags Details | Diff

  None (edit)
Description Jarod Wilson 2006-10-04 02:11:58 EDT
Spec URL: http://wilsonet.com/packages/beryl/beryl-core.spec
SRPM URL: http://wilsonet.com/packages/beryl/beryl-core-0.1.0-1.fc6.src.rpm
Description:
--
Beryl is a combined window manager and compositing
manager that runs on top of Xgl or AIGLX using OpenGL
to provide effects accelerated by a 3D graphics card
on the desktop. Beryl is a community-driven fork of
Compiz.
--

NOTE: Beryl is the renamed compiz-quinn fork of compiz. There's an existing review request for an old compiz-quinn package, https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=192434. If the submitter of compiz-quinn wants beryl, it really ought to be his (though I've also done the other 5 beryl-related packages, which will have review requests opened in the morning...).

This package builds fine in mock on FC6/x86_64, as well as directly on i386 and ppc.
Comment 1 Aurelien Bompard 2006-10-08 06:18:54 EDT
A few comments :
 - autoreconf is traditionnaly done in %prep
 - why the versioned dependency on gnome-session ? 
 - why the versioned dependency on xorg-x11-server-Xorg ?
 - I've built it on FC-5 without the BuildRequires on gnome-desktop-devel,
control-center-devel and intltool >= 0.35. Are those really needed ? (I needed
to add startup-notification-devel though)
Comment 2 Aurelien Bompard 2006-10-08 20:07:22 EDT
Created attachment 138022 [details]
Here's what I needed to change to build beryl-core on FC5.
Comment 3 Jarod Wilson 2006-10-26 11:29:43 EDT
*** Bug 192434 has been marked as a duplicate of this bug. ***
Comment 4 Jarod Wilson 2006-10-26 11:37:38 EDT
Okay, pushed out a 0.1.1-2 build, which should include all the changes suggested
in comment #1 and #2. Most of the BR were inherited from the FC compiz build,
appears we don't need to be quite so strict for beryl.

http://wilsonet.com/packages/beryl/beryl-core.spec
http://wilsonet.com/packages/beryl/beryl-core-0.1.1-2.fc6.src.rpm
Comment 5 Oded Arbel 2006-10-28 21:19:58 EDT
With the package above (after building and installing it and the other beryl
packages), X crashes when I start beryl. Where can I open a bug report about it ?
Comment 6 Jarod Wilson 2006-10-29 01:07:17 EST
(In reply to comment #5)
> With the package above (after building and installing it and the other beryl
> packages), X crashes when I start beryl. Where can I open a bug report about it ?

http://bugs.beryl-project.org/
Comment 7 Roland Wolters 2006-10-31 09:13:43 EST
rpmlint has one small warning:
rpmlint beryl-core-devel-0.1.1-2.i386.rpm
W: beryl-core-devel no-documentation

I want to add that these packages work fine here. Also there are binaries 
available on the internet built with your srpms (I think), and they've already 
been accessed hundreds of times:
http://www.fedorablog.de/index.php?serendipity%5Bsubpage%5D=downloads&level=2&thiscat=7
Comment 8 Alphonse Van Assche 2006-10-31 17:45:50 EST
I have just tested the packages on a fresh installation.
All work well after installing libXcomposite manually (it's requiere).

libXcomposite-devel and libXdamage-devel are requieres at build time for
beryl-core, beryl-plugins and beryl-settings.
 	
I also noticed that libwnck-devel is requiere by emerald.

In any event, these missing build requieres will be easily found by mock when
the packages are review. 
Comment 9 Jarod Wilson 2006-11-01 00:23:52 EST
(In reply to comment #8)
> I have just tested the packages on a fresh installation.
> All work well after installing libXcomposite manually (it's requiere).
> 
> libXcomposite-devel and libXdamage-devel are requieres at build time for
> beryl-core, beryl-plugins and beryl-settings.
>  	
> I also noticed that libwnck-devel is requiere by emerald.
> 
> In any event, these missing build requieres will be easily found by mock when
> the packages are review. 

As it happens, I was just working on this very thing earlier today, and had already pushed out new 
builds of most components. Most of the packages were missing BR on libtool and gettext-devel as well. 
Didn't catch the libwnck-devel BR on emerald though, so I went back through clean mock builds on 
every package. I just finished building all the latest versions of the packages a bit ago, and all appear to 
have appropriate BuildRequires in place now.

Oh, I've also put together binaries for x86_64, i386 and ppc, for anyone that wants to play with them 
(along with a yum repo file, so folks can yum upgrade as new builds get pushed).

http://wilsonet.com/packages/beryl/beryl.repo

Re: comment #7, yeah, those look like they're built from my specs, heh. The W: about no-
documentation is ignorable (similar warning on emerald-devel).
Comment 10 Chitlesh GOORAH 2006-11-02 05:39:53 EST
Is it possible to go with this ?

 Requires:       gnome-desktop, control-center

If not, one who has install kde only will have to install all those dependencies
of the gnome-desktop.
Comment 11 Jarod Wilson 2006-11-06 10:29:05 EST
(In reply to comment #10)
> Is it possible to go with this ?
> 
>  Requires:       gnome-desktop, control-center
> 
> If not, one who has install kde only will have to install all those dependencies
> of the gnome-desktop.

The current Requires: are:

Requires:       gnome-desktop, control-center
Requires:       xorg-x11-server-Xorg
Requires:       mesa-libGL >= 6.5-9
Requires:       system-logos, gnome-session

I suppose its perfectly logical to drop the xorg-x11-server-Xorg Requires:,
since gnome-desktop would pull it in. I want to leave the mesa-libGL requirement
in there. Up in the air about system-logos, since I don't think beryl actually
uses it for anything -- that probably got pulled over from compiz Requires:. I
presume the main beef you've got is with gnome-session, which does pull in a ton
of stuff, and really isn't a hard requirement for beryl. Okay, I think the
following Requires: works for me:

Requires:       gnome-desktop, control-center
Requires:       mesa-libGL >= 6.5-9

Sound good to others as well? I'll double-check the Reqs on the other packages
as well, will likely push new builds of everything later today...
Comment 12 Jarod Wilson 2006-11-06 10:46:59 EST
Or did I misunderstand, and you wanted the gnome-desktop and control-center Reqs
dropped?
Comment 13 Jarod Wilson 2006-11-06 10:51:16 EST
Or did I misunderstand, and you wanted the gnome-desktop and control-center Reqs
dropped? Actually, the more I think about it, reducing the Requires: down to
just mesa-libGL might make sense...
Comment 14 Chitlesh GOORAH 2006-11-06 12:08:52 EST
(In reply to comment #10)
> Is it possible to go with this ?


sorry typo!!

> Is it possible to go withOUT this ?

I just want to know whether these are really a requirement for beryl ?
Because to me user KDE don't want to install the gnome-desktop!
Comment 15 Aurelien Bompard 2006-11-06 12:12:23 EST
FYI, I'm running Beryl right now on KDE, without gnome-desktop (I removed it
from the spec file). It works perfectly, beryl-manager too.
Comment 16 Chitlesh GOORAH 2006-11-06 12:17:59 EST
Great :)

Jarod, could you update your repo as well so that all the people using your repo
can test them?
Comment 17 Jarod Wilson 2006-11-06 13:30:48 EST
Yep, workin' on it right now...
Comment 18 Jarod Wilson 2006-11-06 14:57:08 EST
Okay, updated binaries available for all three arches. There are also beryl-dbus
packages now as well.
Comment 19 Martin Sourada 2006-11-09 13:24:07 EST
Thanks for your effort, man. Do you have any idea when it will be finally pushed
to extras? It seems that version 0.1.2 was released recently, I hope you will
update your packages :-)
Comment 20 Jarod Wilson 2006-11-09 13:49:24 EST
(In reply to comment #19)
> Thanks for your effort, man. Do you have any idea when it will be finally pushed
> to extras?

As soon as someone steps up to actually do all the necessary package reviews. :)

> It seems that version 0.1.2 was released recently, I hope you will
> update your packages :-)

Already working on it...
Comment 21 Pall Valmundsson 2006-11-14 06:12:56 EST
Is there any chance of keeping the 0.1.1 binary packages in the repository?

Since 0.1.1 was working great for me I had no worries that 0.1.2 would be just a
good, but it isn't and the bugs I am having are set to low priority.

I tried to get the old source rpms to compile without luck.

I'm sorry if this is the wrong venue for making this request.
Comment 22 Jarod Wilson 2006-11-14 12:12:26 EST
(In reply to comment #21)
> Is there any chance of keeping the 0.1.1 binary packages in the repository?

Sorry, already nuked them.

> I tried to get the old source rpms to compile without luck.

They should all rebuild just fine with an 'rpmbuild --rebuild <pkg>.src.rpm',
and will tell you if you have missing build requirements. What seems to be the
trouble? Note that you may need to downgrade to beryl-core and beryl-core-devel
0.1.1 to build the rest of the packages.

> I'm sorry if this is the wrong venue for making this request.

Technically, this bug should only be for package review, but thus far, nobody's
really doing that...

Also, for reference to anyone who might actually do some review (*hint, hint*
:), the current latest spec and SRPM are here:

http://wilsonet.com/packages/beryl/beryl-core-0.1.2-1.fc6.src.rpm
http://wilsonet.com/packages/beryl/beryl-core.spec
Comment 23 Martin Sourada 2006-11-14 12:33:44 EST
About your spec: to me it seems fine, only one problem I saw there. You are a
bit outdated - source tarballs are available since 7. November. You can get them
here:
http://releases.beryl-project.org/0.1.2/

Rpmlint output:
E: beryl-core library-without-ldconfig-postin /usr/lib/libberylsettings.so.0.0.0
E: beryl-core library-without-ldconfig-postun /usr/lib/libberylsettings.so.0.0.0

You should add to your specfile %post and %postun sections. Something like this:
%post
/sbin/ldconfig

%postun
/sbin/ldconfig

and add requires:
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

Remember but, that I am NOT a reviewer.
Comment 24 Jarod Wilson 2006-11-14 12:44:09 EST
Okay, aquamarine, bdock, beryl-dbus, beryl-vidcap and heliodor have all been
submitted for review now as well:

aquamarine: bug 215563
bdock: bug 215564
beryl-dbus: bug 215568
beryl-vidcap: bug 215569
heliodor: bug 215571
Comment 25 Jarod Wilson 2006-11-14 13:00:21 EST
(In reply to comment #23)
> About your spec: to me it seems fine, only one problem I saw there. You are a
> bit outdated - source tarballs are available since 7. November. You can get them
> here:
> http://releases.beryl-project.org/0.1.2/

Yep, look in my latest spec file, just haven't changed over to them yet. :)

> Rpmlint output:
> E: beryl-core library-without-ldconfig-postin /usr/lib/libberylsettings.so.0.0.0
> E: beryl-core library-without-ldconfig-postun /usr/lib/libberylsettings.so.0.0.0

Ugh. Stupid mistake that one. Will be fixed shortly...

Okay, -2 build uses upstream tarballs and adds the required ldconfig bits.

http://wilsonet.com/packages/beryl/beryl-core-0.1.2-2.fc6.src.rpm
http://wilsonet.com/packages/beryl/beryl-core.spec
Comment 26 Michał Bentkowski 2006-11-14 13:05:26 EST
I'll do a review.
Comment 27 Jarod Wilson 2006-11-14 13:09:01 EST
/me cheers! :)

(and adds all the other beryl package reviews as being blocked by this bug).
Comment 28 Michał Bentkowski 2006-11-14 13:36:36 EST
MUST items:
!* rpmlint output:
W: beryl-core-devel no-documentation
 * package is named well
 * spec file name is good
 * package meets Packaging Guidelines
 * package is licensed with a GPL open-source compatible license 
 * License field in spec file matches actual license
 * license file is included in %doc
 * md5sums are matching (045aceb6e48e997c952d942fbe841e76)
 * package successfully compiles on x86_64
!* BuildRequires aren't listed well
 * no locales
 * proper %post and %postun sections 
 * not relocatable
 * package owns directories well
 * no duplicates in %files
 * every %files section includes %defattr
 * proper %clean section
 * macros used well
!* -devel package created well, but it should include documentation 

THINGS to do:
 * you have to remove libsvg-cairo-devel build dependency. Without it package
builds successfully and it is .dead since the day before yesterday:
http://cvs.fedora.redhat.com/viewcvs/*checkout*/devel/libsvg-cairo/
dead.package?root=extras
 * in most cases rpmlint error should be omitted, but it looks like all man.3
pages have to go to -devel subpackage

Just remove libsvg-cairo-devel and change man3 location and package will be
approved.
Comment 29 Jarod Wilson 2006-11-14 13:51:37 EST
(In reply to comment #28)
> THINGS to do:
>  * you have to remove libsvg-cairo-devel build dependency. Without it package
> builds successfully and it is .dead since the day before yesterday:
> http://cvs.fedora.redhat.com/viewcvs/*checkout*/devel/libsvg-cairo/
> dead.package?root=extras

Done.

>  * in most cases rpmlint error should be omitted, but it looks like all man.3
> pages have to go to -devel subpackage

Done.

> Just remove libsvg-cairo-devel and change man3 location and package will be
> approved.

http://wilsonet.com/packages/beryl/beryl-core-0.1.2-3.fc6.src.rpm
Comment 30 Michał Bentkowski 2006-11-14 14:03:42 EST
It looks fine now.
I am very happy to approve it :)
Comment 31 Jarod Wilson 2006-11-14 15:42:02 EST
Thanks much! Imported into cvs, building now... Will close once I've got an FC6
branch created and built also.
Comment 32 Jarod Wilson 2006-11-15 10:42:14 EST
Had to figure out a build failure on ppc first (upstream tarball was littered
with little-endian .o files), then went and created beryl, beryl-gnome and
beryl-kde meta-packages that people will be able to install.

-Package beryl depends on bdock, beryl-gnome and beryl-kde
-Package beryl-gnome depends on all beryl bits except bdock and aquamarine
-Package berly-kde depends on all beryl bits except bdock and heliodor

Builds for devel are already complete, branching for FC-6 has been requested.
Comment 33 Jarod Wilson 2006-11-15 16:20:59 EST
FC-6 builds also done, closing NEXTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.